PRO CLINPS,wind,elo,gglo,elon,nlat,ndg,qrad,colors,levels,zpl,wpl,elpl,nlpl
compile_opt hidden
on_error,1

if n_params() eq 0 then begin
print,'CLINPS,wind,elo,gglo,elon,nlat,ndg,qrad,colors,levels,zpl,wpl,elpl,nlpl'
&return&endif 

;...latitude and longitude limits of plot domain
ndg=min([ndg,4])

;...create map environment, including geography
map_set,limit=[gglo-ndg,elo-ndg,gglo+ndg,elo+ndg],/noborder,xmargin=[5,5],ymargin=[2,3]
contour,1.94*wind,elon,nlat,levels=levels,c_color=colors,/fill,/overplot
map_continents,/hires,/coasts,mlinethick=4

;...plot isotachs ... contour interval is in knots
ISOTACHSX,1.94*wind,elon,nlat

;...bordering axes and center locator
!x.range=[elo-ndg,elo+ndg] & !y.range=[gglo-ndg,gglo+ndg]
axis,xaxis=0 & axis,yaxis=0 & axis,xaxis=1,xtitle=ttl & axis,yaxis=1
oplot,[elo-ndg,elo+ndg],[gglo,gglo],linestyle=5
oplot,[elo,elo],[gglo-ndg,gglo+ndg],linestyle=5

;...draw direction arrows
@dartsll.m

;...write table of wind radii
WRQRADCX,elo,gglo,ndg,qrad
!x.range=0 & !y.range=0
END ;CLINPS.PRO
